const install = (Vue, vm) => {
    Vue.prototype.$u.http.setConfig({
        baseUrl: process.env.VUE_APP_SERVER,
        originalData: true,
        showLoading: false,
        timeout: 10000,
        // loadingText: '努力加载中~',
        header: {
            'Authorization': 'Bearer '+vm.vuex_token,
        }
    });
    // 请求拦截
    Vue.prototype.$u.http.interceptor.request = (config) => {
            // console.log(vm.vuex_token)
            if (vm.vuex_token) {
                config.header.Authorization = 'Bearer ' + vm.vuex_token
            }
            return config;
        }
        // 响应拦截
    Vue.prototype.$u.http.interceptor.response = (res) => {
        // console.log(res)
        if (res.statusCode == 200) {
            return res.data;
        } else if (res.statusCode == 401) {
            uni.showToast({
                title: res.data.msg || '未登录',
                icon: "none",
                duration: 3000
            })
            // uni.navigateTo({
            //     url: '/pages/login/type'
            // });
            return;
        } else if (res.statusCode == 500) {
            uni.showToast({
                title: res.data.msg || '加载失败',
                icon: "none",
                duration: 3000
            })
            return;
        } else if (res.statusCode == 503) {
            uni.showToast({
                title: '网络服务有问题',
                icon: "none",
                duration: 3000
            })
            return;
        } else {
            return;
        }
    }
}

export default {
    install
}